Remove last vestiages of fastroute code that is no longer used.

Signed-off-by: Stephen Hemminger <shemminger@osdl.org>


Index: 2.6.12-rc6-tcp1/net/core/sysctl_net_core.c
===================================================================
--- 2.6.12-rc6-tcp1.orig/net/core/sysctl_net_core.c
+++ 2.6.12-rc6-tcp1/net/core/sysctl_net_core.c
@@ -18,7 +18,6 @@ extern int no_cong_thresh;
 extern int no_cong;
 extern int lo_cong;
 extern int mod_cong;
-extern int netdev_fastroute;
 extern int net_msg_cost;
 extern int net_msg_burst;
 
Index: 2.6.12-rc6-tcp1/net/core/dev.c
===================================================================
--- 2.6.12-rc6-tcp1.orig/net/core/dev.c
+++ 2.6.12-rc6-tcp1/net/core/dev.c
@@ -2055,14 +2055,8 @@ static int softnet_seq_show(struct seq_f
 
 	seq_printf(seq, "%08x %08x %08x %08x %08x %08x %08x %08x %08x\n",
 		   s->total, s->dropped, s->time_squeeze, s->throttled,
-		   s->fastroute_hit, s->fastroute_success, s->fastroute_defer,
-		   s->fastroute_deferred_out,
-#if 0
-		   s->fastroute_latency_reduction
-#else
-		   s->cpu_collision
-#endif
-		  );
+		   0, 0, 0, 0, /* was fastroute */
+		   s->cpu_collision );
 	return 0;
 }
 
Index: 2.6.12-rc6-tcp1/include/linux/netdevice.h
===================================================================
--- 2.6.12-rc6-tcp1.orig/include/linux/netdevice.h
+++ 2.6.12-rc6-tcp1/include/linux/netdevice.h
@@ -165,11 +165,6 @@ struct netif_rx_stats
 	unsigned dropped;
 	unsigned time_squeeze;
 	unsigned throttled;
-	unsigned fastroute_hit;
-	unsigned fastroute_success;
-	unsigned fastroute_defer;
-	unsigned fastroute_deferred_out;
-	unsigned fastroute_latency_reduction;
 	unsigned cpu_collision;
 };
 
